Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.credentials
Interface UserPasswordCredentialMapReaderMBean

All Known Subinterfaces:
  DefaultCredentialMapperMBean, UserPasswordCredentialMapEditorMBean

public interface UserPasswordCredentialMapReaderMBean
extends weblogic.management.commo.StandardInterface, ListerMBean

Provides a set of methods for reading a credential map that matches WebLogic users to usernames and passwords from an external information source. A Role Mapping-provider MBean can optionally extend this MBean. The WebLogic Server Administration Console detects when a Role Mapping provider extends this MBean and automatically provides a GUI for using these methods.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getCurrentCredentialRemotePassword(java.lang.String cursor)` Gets a password from a listthat has been returned from the `listCredentials` method.
`java.lang.String` | `getCurrentCredentialRemoteUserName(java.lang.String cursor)` Gets an external username from a list that has been returned from the `listCredentials` method.
`java.lang.String` | `getCurrentMappingRemoteUserName(java.lang.String cursor)` Gets an external username from a credentials map that has been returned from the `listMappings` method.
`java.lang.String` | `getCurrentMappingWLSUserName(java.lang.String cursor)` Gets a WebLogic username from a credentials map that has been returned from the `listMappings` method.
`java.lang.String` | `getRemotePassword(java.lang.String resourceId, java.lang.String remoteUserName)` Gets the external password for an external username.
`java.lang.String` | `getRemoteUserName(java.lang.String resourceId, java.lang.String wlsUserName)` Gets the external username that is mapped to a WebLogic username.
`java.lang.String` | `listCredentials(java.lang.String resourceId)` Gets a list of usernames and passwords from an external resource.
`java.lang.String` | `listMappings(java.lang.String resourceId)` Gets a list of credential mappings from an external information source.

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Method Detail

### getRemoteUserName

    public java.lang.String getRemoteUserName(java.lang.String resourceId,
                                              java.lang.String wlsUserName)
                                       throws NotFoundException

  Gets the external username that is mapped to a WebLogic username.

  Parameters:
    `resourceId` - - The information source that contains the external user name. A resource object such as `weblogic.security.service.ResourceManager` assigns IDs to external sources.
    `wlsUserName` - - The WebLogic username.
  Throws:
    NotFoundException -

### getRemotePassword

    public java.lang.String getRemotePassword(java.lang.String resourceId,
                                              java.lang.String remoteUserName)
                                       throws NotFoundException

  Gets the external password for an external username.

  Parameters:
    `resourceId` - - The information source that contains the external user name and password. A resource object such as `weblogic.security.service.ResourceManager` assigns IDs to external sources.
    `remoteUserName` - - The external username.
  Throws:
    NotFoundException -

### listCredentials

    public java.lang.String listCredentials(java.lang.String resourceId)

  Gets a list of usernames and passwords from an external resource. Returns a cursor as a string. Use the `getCurrentCredentialRemoteUserName` and `getCurrentCredentialRemotePassword` methods to get the username and password for the current item in the list.

  Parameters:
    `resourceId` - - The external resource. A resource object such as `weblogic.security.service.ResourceManager` assigns IDs to external sources.

### getCurrentCredentialRemoteUserName

    public java.lang.String getCurrentCredentialRemoteUserName(java.lang.String cursor)
                                                        throws InvalidCursorException

  Gets an external username from a list that has been returned from the `listCredentials` method. This method returns the username that corresponds to current location in the list.

  Parameters:
    `cursor` - - The cursor that has been returned from the `listCredentials` method.
  Throws:
    InvalidCursorException -

### getCurrentCredentialRemotePassword

    public java.lang.String getCurrentCredentialRemotePassword(java.lang.String cursor)
                                                        throws InvalidCursorException

  Gets a password from a listthat has been returned from the `listCredentials` method. This method returns the password that corresponds to current location in the list.

  Parameters:
    `cursor` - - The cursor that has been returned from the `listCredentials` method.
  Throws:
    InvalidCursorException -

### listMappings

    public java.lang.String listMappings(java.lang.String resourceId)

  Gets a list of credential mappings from an external information source. Returns a cursor as a string. Use the `getCurrentMappingWLSUserName` and `getCurrentMappingRemoteUserName` methods to return the WebLogic username and external user name for the current item in the list.

  Parameters:
    `resourceId` - - The information source that contains the credential mappings. A resource object such as `weblogic.security.service.ResourceManager` assigns IDs to external sources.

### getCurrentMappingWLSUserName

    public java.lang.String getCurrentMappingWLSUserName(java.lang.String cursor)
                                                  throws InvalidCursorException

  Gets a WebLogic username from a credentials map that has been returned from the `listMappings` method. This method returns the WebLogic username that corresponds to current location in the list.

  Parameters:
    `cursor` - - The cursor that has been returned from the `listMappings` method.
  Throws:
    InvalidCursorException -

### getCurrentMappingRemoteUserName

    public java.lang.String getCurrentMappingRemoteUserName(java.lang.String cursor)
                                                     throws InvalidCursorException

  Gets an external username from a credentials map that has been returned from the `listMappings` method. This method returns the external username that corresponds to current location in the list.

  Parameters:
    `cursor` - - The cursor that has been returned from the `listMappings` method.
  Throws:
    InvalidCursorException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD